## ros-kinetic-rocon-python-comms 0.3.2

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_python_comms)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()
catkin_add_env_hooks(15.rospair SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks) # tcsh zsh

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/rospair
        scripts/connection_cache.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(
    FILES
        completion/rospair.bash
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/completion
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

##############################################################################
# Unit Tests
##############################################################################

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== Makefile ===
#############################################################################################
# Build Documentation
#############################################################################################

NAME=$(notdir $(CURDIR))
LOCAL_DIR = $(shell pwd)/doc/html/
VERSION   = $(shell catkin_package_version .)
REMOTE_DIR:=files@files.yujin.com:shared/documentation/${NAME}/${VERSION}
REMOTE_SSH:=files@files.yujin.com
#	sed -i 's/nature/sphinx_rtd_theme/g' doc/conf.py

docs:
	rosdoc_lite .

upload:
	ssh ${REMOTE_SSH} "mkdir -p shared/documentation/${NAME}/${VERSION}; rm -f shared/documentation/${NAME}/latest; ln -sf ${VERSION} shared/documentation/${NAME}/latest"
	rsync --delete --recursive --links --verbose ${LOCAL_DIR} ${REMOTE_DIR}

=== debian/changelog ===
ros-kinetic-rocon-python-comms (0.3.2-1xenial) xenial; urgency=high

  * master check via the rosparam server bugfix
  * allow named services in batching functions
  * drop pyros_test

 -- AlexV <asmodehn@gmail.com>  Tue, 10 May 2016 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.3.1-1xenial) xenial; urgency=high

  * [rocon_python_comms] connection cache node

 -- AlexV <asmodehn@gmail.com>  Tue, 15 Mar 2016 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.3.0-1xenial) xenial; urgency=high

  * lots of minor api added

 -- AlexV <asmodehn@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.2.0-1xenial) xenial; urgency=high

  * one shot and indefinite waiting for service pair clients
  * basename function for ros names
  * convenience service/publisher/subscriber mass producers
  * connection cache node prototype
  * connection cache class moved here from the gateway for multi-use

 -- AlexV <asmodehn@gmail.com>  Mon, 17 Aug 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.16-1xenial) xenial; urgency=high

  * use exceptions informative way #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * update logic of find_service_namespace #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * rename is_valid_service
  * rename is_valid_service to service_is_available
  * update namespace finder and service validation checker
  * Contributors: Jihoon Lee, dwlee

 -- AlexV <asmodehn@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.15-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.14-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.13-1xenial) xenial; urgency=high

  * delete command option about port and implement to set port when terminal is spawned
  * make remocon_delay test
  * Contributors: dwlee

 -- AlexV <asmodehn@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.12-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.11-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.10-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.9-1xenial) xenial; urgency=high

  * to fix #54 <https://github.com/robotics-in-concert/rocon_tools/issues/54>
  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- AlexV <asmodehn@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.7-1xenial) xenial; urgency=high

  * update publisher queue_size to avoid warning in indigo.
  * robustify find_service against zombie services, closes #42 <https://github.com/robotics-in-concert/rocon_tools/issues/42>.
  * updated usage examples for service pairs.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.5-1xenial) xenial; urgency=high

  * sphinx documentation added.
  * better feedback on service communication errors.
  * comment find_node that it only accepts unresolved names.
  * fix missing list return for non-unique find_service requests
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Sun, 04 May 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.2-1xenial) xenial; urgency=high

  * bugfix location of rospair bash file.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Tue, 01 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.0-1xenial) xenial; urgency=high

  * bugfix missing list return for non-unique find_topic_requests.
  * add find_node function including rostests.
  * add find_topic function.
  * find_service should catch exceptions when ros shuts down too.
  * add find_service function.
  * optional threaded callbacks for service pair servers.
  * testing against quick calls of the service server.
  * wall rate from rocon_utilities.
  * subscriber proxy from rocon_utilities.
  * rospair command line tool with call, type, list and bash completion.
  * rospair command line tool list functionality
  * ported in service pairs from multimaster.
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- AlexV <asmodehn@gmail.com>  Sun, 30 Mar 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-python-comms
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-rostest, ros-kinetic-rosunit
Homepage: http://ros.org/wiki/rocon_python_comms
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-python-comms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-yaml, ros-kinetic-genpy, ros-kinetic-rocon-console, ros-kinetic-rocon-service-pair-msgs, ros-kinetic-rosgraph, ros-kinetic-roslib, ros-kinetic-rosnode, ros-kinetic-rospy, ros-kinetic-rosservice, ros-kinetic-rostopic, ros-kinetic-unique-id, ros-kinetic-uuid-msgs
Description: Service pair libraries for pub/sub non-blocking services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-python-comms//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
